import { ChangeDetectorRef, EventEmitter, QueryList } from "@angular/core";
import { UntypedFormGroup } from "@angular/forms";
import { DynamicFormComponent, DynamicFormComponentService, DynamicFormControlEvent, DynamicFormLayout, DynamicFormModel, DynamicTemplateDirective } from "@danielhokanson/ng-dynamic-forms-core";
import { DynamicBootstrapFormControlContainerComponent } from "./dynamic-bootstrap-form-control-container.component";
import * as i0 from "@angular/core";
export declare class DynamicBootstrapFormComponent extends DynamicFormComponent {
    protected changeDetectorRef: ChangeDetectorRef;
    protected componentService: DynamicFormComponentService;
    group: UntypedFormGroup;
    model: DynamicFormModel;
    layout?: DynamicFormLayout;
    blur: EventEmitter<DynamicFormControlEvent>;
    change: EventEmitter<DynamicFormControlEvent>;
    focus: EventEmitter<DynamicFormControlEvent>;
    bsEvent: EventEmitter<DynamicFormControlEvent>;
    templates: QueryList<DynamicTemplateDirective>;
    components: QueryList<DynamicBootstrapFormControlContainerComponent>;
    constructor(changeDetectorRef: ChangeDetectorRef, componentService: DynamicFormComponentService);
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicBootstrapFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicBootstrapFormComponent, "dynamic-bootstrap-form", never, { "group": { "alias": "group"; "required": false; }; "model": { "alias": "model"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; }, { "blur": "blur"; "change": "change"; "focus": "focus"; "bsEvent": "bsEvent"; }, ["templates"], never, true, never>;
}
